# Create a stripe gateway

To [create](https://docs.commercelayer.io/core/creating-resources) a new stripe gateway, send a `POST` request to the `/api/stripe_gateways` endpoint, passing the resource arguments in the request body.

## Request

**POST** <https://yourdomain.commercelayer.io/api/stripe\\_gateways>

### Arguments

| Body Parameter                    | Type      | Required                     |
| --------------------------------- | --------- | ---------------------------- |
| **type**                          | `string`  | Required                     |
| attributes.**name**               | `string`  | Required                     |
| attributes.**force\_payments**    | `boolean` | Optional, default is 'true'  |
| attributes.**\_disable**          | `boolean` | Optional                     |
| attributes.**\_enable**           | `boolean` | Optional                     |
| attributes.**reference**          | `string`  | Optional                     |
| attributes.**reference\_origin**  | `string`  | Optional                     |
| attributes.**metadata**           | `object`  | Optional                     |
| attributes.**\_check**            | `boolean` | Optional                     |
| attributes.**login**              | `string`  | Required                     |
| attributes.**publishable\_key**   | `string`  | Optional                     |
| attributes.**connected\_account** | `string`  | Optional                     |
| attributes.**auto\_payments**     | `boolean` | Optional, default is 'false' |

### Example

{% tabs %}
{% tab title="Request" %}
The following request creates a new stripe gateway:

```shell
curl -g -X POST \
  'https://yourdomain.commercelayer.io/api/stripe_gateways' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "stripe_gateways",
    "attributes": {
      "name": "US payment gateway",
      "login": "sk_live_xxxx-yyyy-zzzz"
    }
  }
}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `201 Created` status code, returning the created resource object:

```json
{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "stripe_gateways",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/stripe_gateways/XAyRWNUzyN"
    },
    "attributes": {
      "name": "US payment gateway",
      "force_payments": false,
      "credential_keys": {
        "api_key": "********BW989"
      },
      "disabled_at": "2018-01-01T12:00:00.000Z",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      },
      "connected_account": "acct_xxxx-yyyy-zzzz",
      "auto_payments": true,
      "webhook_endpoint_id": "xxxx-yyyy-zzzz",
      "webhook_endpoint_secret": "xxxx-yyyy-zzzz",
      "webhook_endpoint_url": "https://core.commercelayer.co/webhook_callbacks/stripe_gateways/xxxxx"
    },
    "relationships": {
      "payment_methods": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/stripe_gateways/XAyRWNUzyN/relationships/payment_methods",
          "related": "https://yourdomain.commercelayer.io/api/stripe_gateways/XAyRWNUzyN/payment_methods"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/stripe_gateways/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/stripe_gateways/XAyRWNUzyN/event_stores"
        }
      },
      "stripe_payments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/stripe_gateways/XAyRWNUzyN/relationships/stripe_payments",
          "related": "https://yourdomain.commercelayer.io/api/stripe_gateways/XAyRWNUzyN/stripe_payments"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/stripe_gateways/create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
